Subject: Ticket Assigned - Return
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 16 Nov 2021 15:53:12 +0000

Hi Ebrahim Qasem,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Return  Hello,
Order num is 6361958237 and order number 6361835456
I have returned items on 2nd november and i still didn't get the full refund it’s been more then 2weeks now My total refund was almost around 600+ and my 250sr are still pending I have been contacting here every other day i really don't know why no one is serious here I used move 10 code even after deducting the code amount my refund is not complete I have contqcted several times on customer service chat but that’s honestly poor no one knows how to reply back properly. They keep telling me
“Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.”  No one actually works on my issue
How many times should i contact you people You are making customer suffer now Its a headache and worst service I missed many other offers because of this refund issues I dont knw how long it will take and how many times ill contact you for my refund Why no one is calculating the total amount and checking mistake of not sending me total refund. I want detailed email on my order refund because my almost 250sr are still pending from your side to be returned. As far as i know i will also check with my bank for more details and honestly i regret ordering from centerpoint this was the worst experience of my life ever. Now i want my refund detail with each item that i returned. Have a good day and Good bye
Contact #0599877871

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3370174